Skip to content

API Endpoints API

by readme.io

HTTP BasicHTTPSDevelopment
Open documentation ↗

Overview

Create beautiful product and API documentation with our developer friendly platform.

API Endpoints is a development API from readme.io. Requests are authenticated with HTTP Basic auth. It is served over HTTPS. Its OpenAPI description documents 31 endpoints.

At a glance

Authentication
HTTP Basic
HTTPS
Yes
CORS
Unknown
Category
Development
Base URL
https://dash.readme.io/api/v1
Version
2.0.0
Endpoints
31
Spec updated
2020-07-22

Make a first request

Replace the placeholders; the documentation says exactly where credentials go.

cURL
curl -X GET "https://dash.readme.io/api/v1/" \
  -H "Accept: application/json" \
  -H "Authorization: Basic BASE64_USER_PASSWORD"
JavaScript
const response = await fetch("https://dash.readme.io/api/v1/", {
  method: "GET",
  headers: {
    "Accept": "application/json",
    "Authorization": "Basic BASE64_USER_PASSWORD",
  },
});
const data = await response.json();
console.log(data);
Python
import requests

response = requests.request(
    "GET",
    "https://dash.readme.io/api/v1/",
    headers={
    "Accept": "application/json",
    "Authorization": "Basic BASE64_USER_PASSWORD",
    },
    timeout=30,
)
print(response.json())

Endpoints

MethodPathWhat it does
GET/Get metadata about the current project
GET/api-specificationGet API specification metadata
POST/api-specificationUpload an API specification to ReadMe. Or, to use a newer solution see https://docs.readme.com/guides/docs/automatically-sync-api-specification-with-github
PUT/api-specification/{id}Update an API specification in ReadMe
DELETE/api-specification/{id}Delete an API specification in ReadMe
GET/categories/{slug}Get category
GET/categories/{slug}/docsGet docs for category
GET/changelogsGet changelogs
POST/changelogsCreate changelog
GET/changelogs/{slug}Get changelog
PUT/changelogs/{slug}Update changelog
DELETE/changelogs/{slug}Delete changelog
GET/custompagesGet custom pages
POST/custompagesCreate custom page
GET/custompages/{slug}Get custom page
PUT/custompages/{slug}Update custom page
DELETE/custompages/{slug}Delete custom page
POST/docsCreate doc
POST/docs/searchSearch docs
GET/docs/{slug}Get doc
PUT/docs/{slug}Update doc
DELETE/docs/{slug}Delete doc
GET/errorsGet errors
POST/swaggerdeprecatedDEPRECATED. Instead use https://docs.readme.com/developers/reference/api-specification#uploadapispecification to upload a Swagger file to ReadMe
PUT/swagger/{id}deprecatedDEPRECATED. Instead, use https://docs.readme.com/developers/reference/api-specification#updateapispecification to update a Swagger file.
DELETE/swagger/{id}deprecatedDEPRECATED. Instead, use https://docs.readme.com/developers/reference/api-specification#deleteapispecification to delete a Swagger file in ReadMe
GET/versionGet versions
POST/versionCreate version
GET/version/{versionId}Get version
PUT/version/{versionId}Update version
DELETE/version/{versionId}Delete version

Questions

Does the API Endpoints API need an API key?

Yes. The API Endpoints API uses HTTP Basic authentication; the documentation explains how to get credentials.

Does the API Endpoints API support HTTPS?

Yes, the API Endpoints API is served over HTTPS.

How many endpoints does the API Endpoints API have?

Its OpenAPI description lists 31 endpoints in version 2.0.0. All of them are shown on this page.

What are alternatives to the API Endpoints API?

Other Development APIs include Cloudflare, Azure DevOps, IPify, App Store Connect API, StackExchange.

Compare alternatives →

Listed from APIs.guru (CC0).